Name:		renrot
Version:	0.25
Release:	2%{?dist}
License:	GPL or Artistic
Group:		Applications/Multimedia
Summary:	A program to rename and rotate files according to EXIF tags
URL:		http://freshmeat.net/projects/renrot/
Source0:	ftp://ftp.dn.farlep.net/pub/misc/renrot/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(Image::ExifTool) >= 5.72
BuildRequires:	perl(Getopt::Long) >= 2.34
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	libjpeg >= 6b

%description
Renrot renames files according the DateTimeOriginal and FileModifyDate
EXIF tags, if they exist. Otherwise, the name will be set according to
the current timestamp. Additionally, it rotates files and their
thumbnails, accordingly Orientation EXIF tag.

The script can also put commentary into the Commentary and UserComment
tags.

Personal details can be specified via XMP tags defined in a
configuration file.

%prep
%setup -q -n %{name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Fix renrot permissions
chmod 755 $RPM_BUILD_ROOT%{_bindir}/renrot

# install sample confuration files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m644 etc/colors.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m644 etc/copyright.tag $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m644 etc/renrot.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m644 etc/tags.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

# Remove some unwanted files
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- renrot < 0.21-0.2.rc2
if [ -f %{_sysconfdir}/renrot.rc ]; then
    /bin/mkdir -p %{_sysconfdir}/%{name}
    /bin/mv -fb %{_sysconfdir}/renrot.rc %{_sysconfdir}/%{name}/renrot.conf
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog NEWS TODO
%lang(ru) %doc README.russian
%{_bindir}/renrot
%{_mandir}/man1/*.1*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/colors.conf
%config(noreplace) %{_sysconfdir}/%{name}/copyright.tag
%config(noreplace) %{_sysconfdir}/%{name}/renrot.conf
%config(noreplace) %{_sysconfdir}/%{name}/tags.conf

%changelog
* Fri Oct 06 2006 Andy Shevchenko <andy@smile.org.ua> 0.25-2
- update to 0.25
- fix tarball

* Sun Sep 03 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.24-1
- update to 0.24

* Tue Aug 22 2006 Andy Shevchenko <andy@smile.org.ua>
- add colors.conf

* Sat Aug 19 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.23-1
- update to 0.23

* Tue Jul 18 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.22-1.0
- update to 0.22

* Thu Jul 06 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.21.1-2
- rebuild

* Thu Jul 06 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.21.1-1
- update to 0.21.1

* Mon Jun 12 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.21-1
- update to 0.21

* Wed Jun 07 2006 Andy Shevchenko <andriy@asplinux.com.ua>
- relocate configuration to %_sysconfdir/%name

* Sat Jun 03 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.20-2
- remove BR: perl
- fix renrot permissions

* Thu Jun 01 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.20-1
- update to 0.20

* Mon May 22 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.19.3-1
- update to 0.19.3

* Fri May 19 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.19.2-1
- update to 0.19.2

* Mon May 15 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.19-1
- update to 0.19

* Mon May 15 2006 Andy Shevchenko <andriy@asplinux.com.ua>
- install rc-file

* Mon May 01 2006 Andy Shevchenko <andriy@asplinux.com.ua> 0.16.1-1
- update to 0.16.1

* Tue Apr 18 2006 Andy Shevchenko <andriy@asplinux.com.ua>
- initial package
